# Uses of Interface
net.shibboleth.idp.session.IdPSession

Packages that use IdPSession
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.
net.shibboleth.idp.session
APIs related to the construction and management of sessions.
net.shibboleth.idp.session.context
Context classes for managing session-related state.
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of IdPSession in net.shibboleth.idp.cas.flow.impl

Methods in net.shibboleth.idp.cas.flow.impl that return IdPSession
Modifier and Type
Method
Description
`private IdPSession`
GrantServiceTicketAction.`getIdPSession(ProfileRequestContext prc)`
Get the IdP session.

## Uses of IdPSession in net.shibboleth.idp.saml.saml2.profile.impl

Methods in net.shibboleth.idp.saml.saml2.profile.impl with parameters of type IdPSession
Modifier and Type
Method
Description
`private boolean`
ProcessLogoutRequest.`sessionMatches(ProfileRequestContext profileRequestContext, IdPSession session)`
Check if the session contains a `SAML2SPSession` with the appropriate service ID and SessionIndex.

## Uses of IdPSession in net.shibboleth.idp.session

Classes in net.shibboleth.idp.session that implement IdPSession
Modifier and Type
Class
Description
`class`
`AbstractIdPSession`
Abstract base for implementations of `IdPSession`, handles basic management of the instance data without addressing persistence.
Methods in net.shibboleth.idp.session that return IdPSession
Modifier and Type
Method
Description
`IdPSession`
SessionManager.`createSession(String principalName)`
Create and return a new `IdPSession` object for a subject.

## Uses of IdPSession in net.shibboleth.idp.session.context

Fields in net.shibboleth.idp.session.context declared as IdPSession
Modifier and Type
Field
Description
`private IdPSession`
SessionContext.`session`
IdP session wrapped by this adapter.
Fields in net.shibboleth.idp.session.context with type parameters of type IdPSession
Modifier and Type
Field
Description
`private final Collection<IdPSession>`
LogoutContext.`idpSessions`
Primary sessions to destroy.
Methods in net.shibboleth.idp.session.context that return IdPSession
Modifier and Type
Method
Description
`IdPSession`
SessionContext.`getIdPSession()`
Get the IdP session.
Methods in net.shibboleth.idp.session.context that return types with arguments of type IdPSession
Modifier and Type
Method
Description
`Collection<IdPSession>`
LogoutContext.`getIdPSessions()`
Get a live collection of the IdP Sessions being destroyed.
Methods in net.shibboleth.idp.session.context with parameters of type IdPSession
Modifier and Type
Method
Description
`void`
SessionContext.`setIdPSession(IdPSession theSession)`
Set the IdP session.

## Uses of IdPSession in net.shibboleth.idp.session.impl

Classes in net.shibboleth.idp.session.impl that implement IdPSession
Modifier and Type
Class
Description
`class`
`StorageBackedIdPSession`
Implementation of `IdPSession` for use with `StorageBackedSessionManager`.
Fields in net.shibboleth.idp.session.impl declared as IdPSession
Modifier and Type
Field
Description
`private IdPSession`
ExtractActiveAuthenticationResults.`session`
Session to copy results from.
Methods in net.shibboleth.idp.session.impl that return IdPSession
Modifier and Type
Method
Description
`IdPSession`
StorageBackedSessionManager.`createSession(String principalName)`
Create and return a new `IdPSession` object for a subject.
`private IdPSession`
StorageBackedSessionManager.`lookupBySessionId(String sessionId)`
Performs a lookup and deserializes a record based on session ID.
`IdPSession`
StorageBackedSessionManager.`resolveSingle(CriteriaSet criteria)`
Methods in net.shibboleth.idp.session.impl that return types with arguments of type IdPSession
Modifier and Type
Method
Description
`private Iterable<IdPSession>`
StorageBackedSessionManager.`lookupBySPSession(SPSessionCriterion criterion)`
Performs a lookup and deserializes records potentially matching a SPSession.
`Iterable<IdPSession>`
StorageBackedSessionManager.`resolve(CriteriaSet criteria)`
Methods in net.shibboleth.idp.session.impl with parameters of type IdPSession
Modifier and Type
Method
Description
`protected void`
StorageBackedSessionManager.`indexBySPSession(IdPSession idpSession, SPSession spSession, int attempts)`
Insert or update a secondary index record from an SPSession to a parent IdPSession.
`protected void`
StorageBackedSessionManager.`unindexSPSession(IdPSession idpSession, SPSession spSession, int attempts)`
Remove or update a secondary index record from an SPSession to a parent IdPSession.
`private void`
UpdateSessionWithAuthenticationResult.`updateIdPSession(AuthenticationContext authenticationContext, IdPSession session)`
Update an existing session.